be.fgov.ehealth.mediprima.core.v2

## Class MedicalCoverType

- java.lang.Object
- - be.fgov.ehealth.mediprima.core.v2.MedicalCoverType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:16:11+01:00",
                 comments="JAXB RI v2.3.7")
      public class MedicalCoverType
      extends Object
      implements Serializable

  Representation of all the covers of a medical card.

  Java class for MedicalCoverType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="MedicalCoverType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Doctor" type="{urn:be:fgov:ehealth:mediprima:core:v2}DoctorType" minOccurs="0"/>
               <element name="Hospitalization" type="{urn:be:fgov:ehealth:mediprima:core:v2}HospitalizationType" minOccurs="0"/>
               <element name="AmbulatoryHospitalization" type="{urn:be:fgov:ehealth:mediprima:core:v2}HospitalizationType" minOccurs="0"/>
               <element name="MedicalTransportation" type="{urn:be:fgov:ehealth:mediprima:core:v2}MedicalTransportationType" minOccurs="0"/>
               <element name="Miscellaneous" type="{urn:be:fgov:ehealth:mediprima:core:v2}MiscellaneousType" minOccurs="0"/>
               <element name="Paramedic" type="{urn:be:fgov:ehealth:mediprima:core:v2}ParamedicType" minOccurs="0"/>
               <element name="PharmaceuticalDrug" type="{urn:be:fgov:ehealth:mediprima:core:v2}PharmaceuticalDrugType" minOccurs="0"/>
               <element name="Prosthesis" type="{urn:be:fgov:ehealth:mediprima:core:v2}ProsthesisType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MedicalCoverType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HospitalizationType` | `getAmbulatoryHospitalization()` Gets the value of the ambulatoryHospitalization property.
    `DoctorType` | `getDoctor()` Gets the value of the doctor property.
    `HospitalizationType` | `getHospitalization()` Gets the value of the hospitalization property.
    `MedicalTransportationType` | `getMedicalTransportation()` Gets the value of the medicalTransportation property.
    `MiscellaneousType` | `getMiscellaneous()` Gets the value of the miscellaneous property.
    `ParamedicType` | `getParamedic()` Gets the value of the paramedic property.
    `PharmaceuticalDrugType` | `getPharmaceuticalDrug()` Gets the value of the pharmaceuticalDrug property.
    `ProsthesisType` | `getProsthesis()` Gets the value of the prosthesis property.
    `void` | `setAmbulatoryHospitalization(HospitalizationType value)` Sets the value of the ambulatoryHospitalization property.
    `void` | `setDoctor(DoctorType value)` Sets the value of the doctor property.
    `void` | `setHospitalization(HospitalizationType value)` Sets the value of the hospitalization property.
    `void` | `setMedicalTransportation(MedicalTransportationType value)` Sets the value of the medicalTransportation property.
    `void` | `setMiscellaneous(MiscellaneousType value)` Sets the value of the miscellaneous property.
    `void` | `setParamedic(ParamedicType value)` Sets the value of the paramedic property.
    `void` | `setPharmaceuticalDrug(PharmaceuticalDrugType value)` Sets the value of the pharmaceuticalDrug property.
    `void` | `setProsthesis(ProsthesisType value)` Sets the value of the prosthesis property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MedicalCoverType

          public MedicalCoverType()

  - ### Method Detail

    - #### getDoctor

          public DoctorType getDoctor()

      Gets the value of the doctor property.
      Returns:
        possible object is `DoctorType`

    - #### setDoctor

          public void setDoctor(DoctorType value)

      Sets the value of the doctor property.
      Parameters:
        `value` - allowed object is `DoctorType`

    - #### getHospitalization

          public HospitalizationType getHospitalization()

      Gets the value of the hospitalization property.
      Returns:
        possible object is `HospitalizationType`

    - #### setHospitalization

          public void setHospitalization(HospitalizationType value)

      Sets the value of the hospitalization property.
      Parameters:
        `value` - allowed object is `HospitalizationType`

    - #### getAmbulatoryHospitalization

          public HospitalizationType getAmbulatoryHospitalization()

      Gets the value of the ambulatoryHospitalization property.
      Returns:
        possible object is `HospitalizationType`

    - #### setAmbulatoryHospitalization

          public void setAmbulatoryHospitalization(HospitalizationType value)

      Sets the value of the ambulatoryHospitalization property.
      Parameters:
        `value` - allowed object is `HospitalizationType`

    - #### getMedicalTransportation

          public MedicalTransportationType getMedicalTransportation()

      Gets the value of the medicalTransportation property.
      Returns:
        possible object is `MedicalTransportationType`

    - #### setMedicalTransportation

          public void setMedicalTransportation(MedicalTransportationType value)

      Sets the value of the medicalTransportation property.
      Parameters:
        `value` - allowed object is `MedicalTransportationType`

    - #### getMiscellaneous

          public MiscellaneousType getMiscellaneous()

      Gets the value of the miscellaneous property.
      Returns:
        possible object is `MiscellaneousType`

    - #### setMiscellaneous

          public void setMiscellaneous(MiscellaneousType value)

      Sets the value of the miscellaneous property.
      Parameters:
        `value` - allowed object is `MiscellaneousType`

    - #### getParamedic

          public ParamedicType getParamedic()

      Gets the value of the paramedic property.
      Returns:
        possible object is `ParamedicType`

    - #### setParamedic

          public void setParamedic(ParamedicType value)

      Sets the value of the paramedic property.
      Parameters:
        `value` - allowed object is `ParamedicType`

    - #### getPharmaceuticalDrug

          public PharmaceuticalDrugType getPharmaceuticalDrug()

      Gets the value of the pharmaceuticalDrug property.
      Returns:
        possible object is `PharmaceuticalDrugType`

    - #### setPharmaceuticalDrug

          public void setPharmaceuticalDrug(PharmaceuticalDrugType value)

      Sets the value of the pharmaceuticalDrug property.
      Parameters:
        `value` - allowed object is `PharmaceuticalDrugType`

    - #### getProsthesis

          public ProsthesisType getProsthesis()

      Gets the value of the prosthesis property.
      Returns:
        possible object is `ProsthesisType`

    - #### setProsthesis

          public void setProsthesis(ProsthesisType value)

      Sets the value of the prosthesis property.
      Parameters:
        `value` - allowed object is `ProsthesisType`

Connector Packaging PERSPHYSICIAN 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.